CommetCommet
GitHubDiscordStatus
Add seats POSTBulk set seats PUTGet all seat balances GETGet seat balance GETRemove seats POSTSet seats PUT
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Get seat balance

Get current balance for a specific seat type.

GET
/seats/balance

Get current balance for a specific seat type.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

customerId*string
featureCode*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/seats/balance?customerId=string&featureCode=string"
{  "current": 3,  "asOf": "2026-09-07T12:00:00.000Z",  "object": "seat_balance",  "livemode": false}
{  "error": {    "type": "validation_error",    "code": "validation_error",    "message": "The request contains an invalid parameter.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/validation_error.md"  }}
{  "error": {    "type": "authentication_error",    "code": "unauthorized",    "message": "A valid API key is required.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/unauthorized.md"  }}
{  "error": {    "type": "authentication_error",    "code": "forbidden",    "message": "You do not have permission to perform this operation.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/forbidden.md"  }}
{  "error": {    "type": "not_found_error",    "code": "not_found",    "message": "The requested resource was not found.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/not_found.md"  }}
{  "error": {    "type": "rate_limit_error",    "code": "rate_limited",    "message": "Too many requests. Retry after the interval specified in the Retry-After header.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/rate_limited.md"  }}
{  "error": {    "type": "internal_error",    "code": "internal_error",    "message": "An unexpected error occurred while processing the request.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/internal_error.md"  }}

Get all seat balances GET

Get the current balance for all seat types in a customer's subscription.

Remove seats POST

Remove seats from a customer's subscription. Takes effect at the end of the billing period.